@echo off

REM BEGIN COPYRIGHT
REM *************************************************************************
REM Licensed Materials - Property of IBM 
REM 5724-L01, 5724-I82, 5655-N53, 5655-R15, 5724-I66, 5655-FLW
REM COPYRIGHT IBM Corporation 2012. All Rights Reserved.
REM US Government Users Restricted Rights - Use, duplication, or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM *************************************************************************
REM END COPYRIGHT


setlocal EnableDelayedExpansion

set n=0
set programDir=%~1
set key=%~2
set value=%~3
set countLoc=%~4

set folder=%programDir%/IBM

set prodFolder=%folder%/%value%

FOR /d %%i IN (dir "%folder%") DO (
echo prodFolder is !prodFolder!
if not exist !prodFolder! (
    call :output  
    goto :eof 
) else (  
    set /a n+=1	
    set prodFolder=%prodFolder%_!n!
    echo n=!n!
)
)
:output
if %n%==0 (
	echo %key%=%value%> "%countLoc%\count.properties"
	echo installedPackageCount=>> "%countLoc%\count.properties"
	echo %key%=%value%
) else (
	echo %key%=%value%_%n%> "%countLoc%\count.properties"
	echo installedPackageCount=_%n%>> "%countLoc%\count.properties"
	echo %key%=%value%_%n%
)
goto :eof
